Skip to main content

Get a share's per-user and per-group access

GET 

/shares/:name/permissions

Required role: viewer. An account or token with the viewer or admin role can call this operation.

Example request
curl --request GET \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
"https://$HOSERVA_HOST:8008/api/v1/shares/{name}/permissions"

Every user and every user group with an explicit access level on this share. A user or group with no row here is not represented.

Request​

Responses​

This share's per-user and per-group access.